Create or reuse a public chat share
curl --request POST \
--url https://api.itoflow.ai/chat-shares \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chat_id": "0b6342a4-ab5f-41b1-9772-60791177acf3",
"copied_until_message_id": "1939d8d3dc31b215-assistant"
}
'import requests
url = "https://api.itoflow.ai/chat-shares"
payload = {
"chat_id": "0b6342a4-ab5f-41b1-9772-60791177acf3",
"copied_until_message_id": "1939d8d3dc31b215-assistant"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chat_id: '0b6342a4-ab5f-41b1-9772-60791177acf3',
copied_until_message_id: '1939d8d3dc31b215-assistant'
})
};
fetch('https://api.itoflow.ai/chat-shares', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"share": {
"chat_id": "share_cf_123",
"copied_until_message_id": "share-message-1",
"created_at": "2026-04-03T23:29:40.548Z",
"messages": [
{
"id": "share-message-1",
"parts": [
{
"text": "NVDA has strong momentum.",
"type": "text"
}
],
"role": "assistant",
"metadata": {}
}
],
"metadata": {},
"published_at": "2026-04-03T23:29:42.548Z",
"slug": "VufIWcgY0FlG",
"runtime": {
"chat_id": "share_VufIWcgY0FlG",
"expires_at": 1770000000,
"kind": "cloudflare_readonly_share",
"token": "<string>"
}
},
"url": "https://app.itoflow.ai/chat/shared/VufIWcgY0FlG"
}{
"share": {
"chat_id": "share_cf_123",
"copied_until_message_id": "share-message-1",
"created_at": "2026-04-03T23:29:40.548Z",
"messages": [
{
"id": "share-message-1",
"parts": [
{
"text": "NVDA has strong momentum.",
"type": "text"
}
],
"role": "assistant",
"metadata": {}
}
],
"metadata": {},
"published_at": "2026-04-03T23:29:42.548Z",
"slug": "VufIWcgY0FlG",
"runtime": {
"chat_id": "share_VufIWcgY0FlG",
"expires_at": 1770000000,
"kind": "cloudflare_readonly_share",
"token": "<string>"
}
},
"url": "https://app.itoflow.ai/chat/shared/VufIWcgY0FlG"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Chat
Create or reuse a public chat share
Creates a read-only public snapshot of a private chat transcript. If the same chat and message boundary were already shared, returns the existing published share.
Operation ID: post__chat_shares.
POST
https://api.itoflow.ai
/
chat-shares
Create or reuse a public chat share
curl --request POST \
--url https://api.itoflow.ai/chat-shares \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chat_id": "0b6342a4-ab5f-41b1-9772-60791177acf3",
"copied_until_message_id": "1939d8d3dc31b215-assistant"
}
'import requests
url = "https://api.itoflow.ai/chat-shares"
payload = {
"chat_id": "0b6342a4-ab5f-41b1-9772-60791177acf3",
"copied_until_message_id": "1939d8d3dc31b215-assistant"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chat_id: '0b6342a4-ab5f-41b1-9772-60791177acf3',
copied_until_message_id: '1939d8d3dc31b215-assistant'
})
};
fetch('https://api.itoflow.ai/chat-shares', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"share": {
"chat_id": "share_cf_123",
"copied_until_message_id": "share-message-1",
"created_at": "2026-04-03T23:29:40.548Z",
"messages": [
{
"id": "share-message-1",
"parts": [
{
"text": "NVDA has strong momentum.",
"type": "text"
}
],
"role": "assistant",
"metadata": {}
}
],
"metadata": {},
"published_at": "2026-04-03T23:29:42.548Z",
"slug": "VufIWcgY0FlG",
"runtime": {
"chat_id": "share_VufIWcgY0FlG",
"expires_at": 1770000000,
"kind": "cloudflare_readonly_share",
"token": "<string>"
}
},
"url": "https://app.itoflow.ai/chat/shared/VufIWcgY0FlG"
}{
"share": {
"chat_id": "share_cf_123",
"copied_until_message_id": "share-message-1",
"created_at": "2026-04-03T23:29:40.548Z",
"messages": [
{
"id": "share-message-1",
"parts": [
{
"text": "NVDA has strong momentum.",
"type": "text"
}
],
"role": "assistant",
"metadata": {}
}
],
"metadata": {},
"published_at": "2026-04-03T23:29:42.548Z",
"slug": "VufIWcgY0FlG",
"runtime": {
"chat_id": "share_VufIWcgY0FlG",
"expires_at": 1770000000,
"kind": "cloudflare_readonly_share",
"token": "<string>"
}
},
"url": "https://app.itoflow.ai/chat/shared/VufIWcgY0FlG"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Body
application/json